OpenNMS API 1.2.9

## org.opennms.report.availability
Class CalendarTableBuilder

    java.lang.Object
      org.opennms.report.availability.CalendarTableBuilder

public class CalendarTableBuilder
extends java.lang.Object

Author:
  jsartin TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`CalendarTable` `m_calTable`
`Day[]` `m_days`
`private int` `m_firstDay`
`(package private) java.util.Locale` `m_locale`
`(package private) java.util.Calendar` `m_workingCalendar`

Constructor Summary
`CalendarTableBuilder(int year, int month)`
`CalendarTableBuilder(long endTime)`

Method Summary
`private void` `calendarTableInit(int month)`
`CalendarTable` `getTable()`
`void` `print()`
`void` `setPctValue(int sDate, double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_days

    public Day[] m_days

### m_calTable

    public CalendarTable m_calTable

### m_firstDay

    private int m_firstDay

### m_workingCalendar

    java.util.Calendar m_workingCalendar

### m_locale

    java.util.Locale m_locale

Constructor Detail

### CalendarTableBuilder

    public CalendarTableBuilder(long endTime)

### CalendarTableBuilder

    public CalendarTableBuilder(int year,
                                int month)

Method Detail

### calendarTableInit

    private void calendarTableInit(int month)

### print

    public void print()

### getTable

    public CalendarTable getTable()

### setPctValue

    public void setPctValue(int sDate,
                            double value)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.